Bug 6792 - Can't build cairo-1.1.2 on opensolaris due to " void function cannot return value"
Can't build cairo-1.1.2 on opensolaris due to " void function cannot return v...
Status: RESOLVED FIXED
Product: cairo
Classification: Unclassified
Component: general
1.1.2
SPARC Solaris
: high normal
Assigned To: Carl Worth
cairo-bugs mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-30 12:04 UTC by Yandong Yao
Modified: 2006-05-01 15:17 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yandong Yao 2006-04-30 12:04:36 UTC
when build cairo-1.1.2 on opensolaris, got below errors:
"cairo-paginated-surface.c", line 221: warning: enum type mismatch: op "="
"cairo-paginated-surface.c", line 245: warning: enum type mismatch: op "="
"cairo-paginated-surface.c", line 254: warning: enum type mismatch: op "="
"cairo-paginated-surface.c", line 265: warning: enum type mismatch: op "="
"cairo-paginated-surface.c", line 279: warning: enum type mismatch: op "="
"cairo-paginated-surface.c", line 290: warning: enum type mismatch: op "="
"cairo-paginated-surface.c", line 301: warning: enum type mismatch: op "="
"cairo-paginated-surface.c", line 305: warning: enum type mismatch: op "="
"cairo-paginated-surface.c", line 328: warning: enum type mismatch: op "="
"cairo-paginated-surface.c", line 337: void function cannot return value
"cairo-paginated-surface.c", line 349: warning: enum type mismatch: op "="
"cairo-paginated-surface.c", line 353: warning: enum type mismatch: op "="
"cairo-paginated-surface.c", line 364: warning: enum type mismatch: op "="
"cairo-paginated-surface.c", line 382: warning: enum type mismatch: op "="
"cairo-paginated-surface.c", line 389: warning: enum type mismatch: op "="
"cairo-paginated-surface.c", line 405: warning: enum type mismatch: op "="
"cairo-paginated-surface.c", line 411: warning: enum type mismatch: op "="
"cairo-paginated-surface.c", line 426: warning: enum type mismatch: op "="
"cairo-paginated-surface.c", line 432: warning: enum type mismatch: op "="
cc: acomp failed for cairo-paginated-surface.c
make[2]: *** [cairo-paginated-surface.lo] Error 1
make[2]: Leaving directory
`/export/home/head/gnome/src/cvsroot/cairo-1.1.2/src'make[1]: ***
[all-recursive] Error 1
make[1]: Leaving directory `/export/home/head/gnome/src/cvsroot/cairo-1.1.2'
make: *** [all] Error 2
Comment 1 Carl Worth 2006-05-02 08:17:23 UTC
Fixed in the latest 1.1.3.

-Carl

commit 32f120e4888fd9344f699fd47c1aea6a5ec3df8e
Author: Carl Worth <cworth@cworth.org>
Date:   Mon May 1 15:12:46 2006 -0700

    Don't return void from void-returning function (fix #6792).

    It's a dumb part of the C standard and it's even dumber when compilers are
    picky about it. But oh, well.

diff --git a/src/cairo-paginated-surface.c b/src/cairo-paginated-surface.c
index 080102b..cbb217d 100644
--- a/src/cairo-paginated-surface.c
+++ b/src/cairo-paginated-surface.c
@@ -329,7 +329,7 @@ _cairo_paginated_surface_get_font_option
 {
     cairo_paginated_surface_t *surface = abstract_surface;

-    return cairo_surface_get_font_options (surface->target, options);
+    cairo_surface_get_font_options (surface->target, options);
 }

 static cairo_int_status_t